Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd
Class AbstractJavaRule

    java.lang.Object
      net.sourceforge.pmd.CommonAbstractRule
          net.sourceforge.pmd.AbstractJavaRule

All Implemented Interfaces:
  JavaParserVisitor, Rule

Direct Known Subclasses:
  AbstractJUnitRule, AbstractRule, AvoidMultipleUnaryOperators, AvoidReassigningParameters, AvoidUsingHardCodedIP, CloneMethodMustImplementCloneable, CyclomaticComplexity, GenericClassCounterRule, GenericLiteralCheckerRule, LooseCoupling, PreserveStackTrace, SignatureDeclareThrowsException, StatisticalRule, UselessOperationOnImmutable, XPathRule

    public abstract class AbstractJavaRule

extends CommonAbstractRule
implements JavaParserVisitor

Field Summary

Fields inherited from interface net.sourceforge.pmd.Rule
`LOWEST_PRIORITY, PRIORITIES`

Constructor Summary
`AbstractJavaRule()`

Method Summary
`protected void` | `addViolation(java.lang.Object data, Node node, java.lang.Object[] args)` Adds a violation to the report.
`protected void` | `addViolation(java.lang.Object data, SimpleNode node)` Adds a violation to the report.
`protected void` | `addViolation(java.lang.Object data, SimpleNode node, java.lang.String embed)` Adds a violation to the report.
`protected void` | `addViolationWithMessage(java.lang.Object data, SimpleNode node, java.lang.String msg)` Adds a violation to the report.
`void` | `apply(java.util.List acus, RuleContext ctx)` Apply this rule to the given collection of compilation units, using the given context.
`protected java.lang.String` | `getDeclaringType(SimpleNode node)` Gets the Image of the first parent node of type ASTClassOrInterfaceDeclaration or `null`
`static boolean` | `importsPackage(ASTCompilationUnit node, java.lang.String packageName)`
`static boolean` | `isQualifiedName(SimpleNode node)`
`java.lang.Object` | `visit(ASTAdditiveExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTAllocationExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTAndExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTAnnotationMethodDeclaration node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTAnnotation node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTAnnotationTypeBody node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTAnnotationTypeDeclaration node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTAnnotationTypeMemberDeclaration node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTArgumentList node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTArguments node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTArrayDimsAndInits node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTArrayInitializer node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTAssertStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTAssignmentOperator node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTBlock node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTBlockStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTBooleanLiteral node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTBreakStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTCastExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTCatchStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTClassOrInterfaceBodyDeclaration node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTClassOrInterfaceBody node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTClassOrInterfaceDeclaration node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTClassOrInterfaceType node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTCompilationUnit node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTConditionalAndExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTConditionalExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTConditionalOrExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTConstructorDeclaration node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTContinueStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTDefaultValue node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTDoStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTEmptyStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTEnumBody node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTEnumConstant node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTEnumDeclaration node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTEqualityExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTExclusiveOrExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTExplicitConstructorInvocation node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTExtendsList node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTFieldDeclaration node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTFinallyStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTForInit node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTFormalParameter node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTFormalParameters node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTForStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTForUpdate node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTIfStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTImplementsList node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTImportDeclaration node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTInclusiveOrExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTInitializer node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTInstanceOfExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTLabeledStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTLiteral node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTLocalVariableDeclaration node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTMarkerAnnotation node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTMemberSelector node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTMemberValueArrayInitializer node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTMemberValue node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTMemberValuePair node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTMemberValuePairs node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTMethodDeclaration node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTMethodDeclarator node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTMultiplicativeExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTNameList node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTName node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTNormalAnnotation node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTNullLiteral node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTPackageDeclaration node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTPostfixExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTPreDecrementExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTPreIncrementExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTPrimaryExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTPrimaryPrefix node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTPrimarySuffix node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTPrimitiveType node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTReferenceType node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTRelationalExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTResultType node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTReturnStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTRSIGNEDSHIFT node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTRUNSIGNEDSHIFT node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTShiftExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTSingleMemberAnnotation node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTStatementExpressionList node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTStatementExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTSwitchLabel node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTSwitchStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTSynchronizedStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTThrowStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTTryStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTTypeArgument node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTTypeArguments node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTTypeBound node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTTypeDeclaration node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTType node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTTypeParameter node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTTypeParameters node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTUnaryExpressionNotPlusMinus node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTUnaryExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTVariableDeclaratorId node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTVariableDeclarator node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTVariableInitializer node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTWhileStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTWildcardBounds node, java.lang.Object data)`
`java.lang.Object` | `visit(SimpleJavaNode node, java.lang.Object data)`
`protected void` | `visitAll(java.util.List acus, RuleContext ctx)`

Methods inherited from class net.sourceforge.pmd.CommonAbstractRule
`addExample, addProperties, addProperty, addRuleChainVisit, asFixedMap, asFixedMap, end, equals, getBooleanProperties, getBooleanProperty, getBooleanProperty, getDescription, getDoubleProperties, getDoubleProperty, getDoubleProperty, getExample, getExamples, getExternalInfoUrl, getIntProperties, getIntProperty, getIntProperty, getMessage, getName, getPriority, getPriorityName, getProperties, getRuleChainVisits, getRuleClass, getRuleSetName, getSince, getStringProperties, getStringProperty, getStringProperty, getTypeProperties, getTypeProperty, hashCode, hasProperty, include, propertiesByName, propertyDescriptorFor, setDescription, setExternalInfoUrl, setInclude, setMessage, setName, setPriority, setProperties, setProperty, setRuleClass, setRuleSetName, setSince, setUsesDFA, setUsesTypeResolution, start, usesDFA, usesRuleChain, usesTypeResolution`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractJavaRule

    public AbstractJavaRule()

Method Detail

### addViolation

    protected final void addViolation(java.lang.Object data,
                                      SimpleNode node)

  Adds a violation to the report.

  Parameters:
    `data` - the RuleContext
    `node` - the node that produces the violation

### addViolationWithMessage

    protected final void addViolationWithMessage(java.lang.Object data,
                                                 SimpleNode node,
                                                 java.lang.String msg)

  Adds a violation to the report.

  Parameters:
    `data` - the RuleContext
    `node` - the node that produces the violation
    `msg` - specific message to put in the report

### addViolation

    protected final void addViolation(java.lang.Object data,
                                      SimpleNode node,
                                      java.lang.String embed)

  Adds a violation to the report.

  Parameters:
    `data` - the RuleContext
    `node` - the node that produces the violation
    `embed` - a variable to embed in the rule violation message

### addViolation

    protected final void addViolation(java.lang.Object data,
                                      Node node,
                                      java.lang.Object[] args)

  Adds a violation to the report.

  Parameters:
    `data` - the RuleContext
    `node` - the node that produces the violation, may be null, in which case all line and column info will be set to zero
    `args` - objects to embed in the rule violation message

### apply

    public void apply(java.util.List acus,
                      RuleContext ctx)

  Description copied from interface: `Rule`
  Apply this rule to the given collection of compilation units, using the given context.

  Specified by:
    `apply` in interface `Rule`

### visitAll

    protected void visitAll(java.util.List acus,
                            RuleContext ctx)

### getDeclaringType

    protected final java.lang.String getDeclaringType(SimpleNode node)

  Gets the Image of the first parent node of type ASTClassOrInterfaceDeclaration or `null`

  Parameters:
    `node` - the node which will be searched

### isQualifiedName

    public static boolean isQualifiedName(SimpleNode node)

### importsPackage

    public static boolean importsPackage(ASTCompilationUnit node,
                                         java.lang.String packageName)

### visit

    public java.lang.Object visit(SimpleJavaNode node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTExtendsList node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTClassOrInterfaceDeclaration node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTImplementsList node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTTypeParameters node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTMemberSelector node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTTypeParameter node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTTypeBound node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTClassOrInterfaceBody node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTClassOrInterfaceBodyDeclaration node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTEnumBody node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTEnumConstant node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTReferenceType node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTClassOrInterfaceType node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTTypeArguments node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTTypeArgument node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTWildcardBounds node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTAnnotation node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTNormalAnnotation node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTMarkerAnnotation node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTSingleMemberAnnotation node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTMemberValuePairs node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTMemberValuePair node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTMemberValue node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTMemberValueArrayInitializer node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTAnnotationTypeDeclaration node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTAnnotationTypeBody node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTAnnotationTypeMemberDeclaration node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTAnnotationMethodDeclaration node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTDefaultValue node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTRUNSIGNEDSHIFT node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTRSIGNEDSHIFT node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTCompilationUnit node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTEnumDeclaration node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTAssertStatement node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTPackageDeclaration node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTImportDeclaration node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTTypeDeclaration node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTFieldDeclaration node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTVariableDeclarator node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTVariableDeclaratorId node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTVariableInitializer node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTArrayInitializer node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTMethodDeclaration node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTMethodDeclarator node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTFormalParameters node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTFormalParameter node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTConstructorDeclaration node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTExplicitConstructorInvocation node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTInitializer node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTType node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTPrimitiveType node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTResultType node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTName node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTNameList node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTAssignmentOperator node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTConditionalExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTConditionalOrExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTConditionalAndExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTInclusiveOrExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTExclusiveOrExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTAndExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTEqualityExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTInstanceOfExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTRelationalExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTShiftExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTAdditiveExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTMultiplicativeExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTUnaryExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTPreIncrementExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTPreDecrementExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTUnaryExpressionNotPlusMinus node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTPostfixExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTCastExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTPrimaryExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTPrimaryPrefix node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTPrimarySuffix node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTLiteral node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTBooleanLiteral node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTNullLiteral node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTArguments node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTArgumentList node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTAllocationExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTArrayDimsAndInits node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTStatement node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTLabeledStatement node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTBlock node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTBlockStatement node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTLocalVariableDeclaration node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTEmptyStatement node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTStatementExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTSwitchStatement node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTSwitchLabel node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTIfStatement node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTWhileStatement node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTDoStatement node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTForStatement node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTForInit node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTStatementExpressionList node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTForUpdate node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTBreakStatement node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTContinueStatement node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTReturnStatement node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTThrowStatement node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTSynchronizedStatement node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTTryStatement node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTFinallyStatement node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

### visit

    public java.lang.Object visit(ASTCatchStatement node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `JavaParserVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.